<?php

namespace Schaffen\Gef\Models;

use App\Models\Produto\Produto;
use App\Models\Produto\ProdutoVariedadeEmbalagem;
use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class ProdutoFrota.
 *
 * @package namespace Schaffen\Gef\Models;
 */
class ProdutoFrota extends Model implements Transformable
{
   use TransformableTrait;

   public $timestamps = false;
   protected $table = "frota.produto_frota";
   protected $primaryKey = "prfr_codigo";
   public static $prefix = 'prfr_';

   /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
   protected $fillable = ["prfr_fk_pro_codigo","prfr_fk_cag_codigo", "prfr_fk_pve_codigo"];

   public function produto(){
      return $this->belongsTo(Produto::class, 'prfr_fk_pro_codigo');
   }

   public function produto_variedade_embalagem(){
      return $this->belongsTo(ProdutoVariedadeEmbalagem::class, 'prfr_fk_pve_codigo');
   }

   public function categoria(){
      return $this->belongsTo(CategoriaGasto::class, 'prfr_fk_cag_codigo');
   }

}
